html, body {
    height: 100%;
}

body {
    background-color: #323131;
    margin: auto;
    padding: auto;
    color: whitesmoke;
    font-family: "Georgia", serif;
}

.box {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-gap: 10px;
}

.one {
    border: 1px solid whitesmoke;
    grid-column: 3;
    grid-row: 3;
    font-family: "Georgia", serif;
    text-align: center;
    margin: 2px;
}

.two {
    grid-column: 1 / 3;
    grid-row: 1;
    text-align: center;
    font-size: 40px;
    text-decoration: underline;   
}

.three {
    border: 1px solid whitesmoke;
    grid-column: 1;
    grid-row: 2 / 5;
    font-family: "Georgia", serif;
    text-align: center;
    margin: 2px;
    
}

#banniere img {
    margin: auto;
    padding: auto;
    position: relative;
    width: 100%;
}

#texte1 p {
    text-align: center;
    font-family: "Georgia", serif;
    margin: 0 auto;
    top: 40%;
    color: white;
    width: 70%;
}

#onglet2 {
    text-align: center; /* ou righ, selon ton goût
    */
}

#onglet2 a {
    margin: 0 5px;
    padding: 0 5px;
    border: solid 2px;
    color: whitesmoke;
    border: solid 2px;
}

#onglet {
    text-align: center; /* ou righ, selon ton goût
    */
    grid-column: span 5;
}

#onglet a {
    line-height: 2em;
    margin: 0 5px; /* les séparer un peu les un des autres. */
    padding: 0 5px; /* les séparer un peu les un des autres. */  
    color: whitesmoke;
    border: solid 2px;
}

h1 {
    text-align: center;
    font-family: "Georgia", serif;
    font-size: 30px;
    font-style: bold;

}

#boite img {
    border: solid 2px #323131;
    margin: 2px;
    width: 550px; 
    height: 550px; 
    object-fit: cover;
    float: left;
}

#texte p {
    border: solid 2px whitesmoke;
    padding: 2px;
    margin: 10px;
    width: 550px;
    text-align: center;
    font-family: "Georgia", serif;
    font-style: bold, italic;
    font-size: 20px;
    float: left;
}

#boite1 img {
    border: solid 2px #323131;
    margin: 2px;
    width: 550px; 
    height: 550px; 
    object-fit: cover;
    float: right;
}

#texte1 p {
    border: solid 2px whitesmoke;
    padding: 2px;
    margin: 10px;
    width: 550px;
    text-align: center;
    font-family: "Georgia", serif;
    font-style: bold, italic;
    font-size: 20px;
    float: right;
}

#activites p {
    text-align: center;
    font-size: 20px;
    font-style: bold, italic;
}

.img1 {
    border: solid 2px whitesmoke;
    margin: 2px;
    width: 550px;
    height: 550px;
    object-fit: cover;
    float: left;
}

.img2 {
    border: solid 2px whitesmoke;
    margin: 2px;
    width: 770px;
    height: 550px;
    object-fit: cover;
    text-align: center;
}

.img3 {
    border: solid 2px whitesmoke;
    margin: 2px;
    width: 559px;
    height: 550px;
    object-fit: cover;
    float: right;
}

#contenu {
    min-height: 100%;
    position: relative;   
}

footer {
    background: whitesmoke;
    width: 100%;
    height: 50px;
    position: absolute;
    bottom: -100px;
    color: black;
}

#foo p {
    text-align: center;
    margin: 5px;
} 

#foo img {
    height: 40px;
    float: right;
}

form {
  /* Uniquement centrer le formulaire sur la page */
  margin: 50px auto;
  width: 400px;
  /* Encadré pour voir les limites du formulaire */
  padding: 1em;
  border: 1px solid #CCC;
  border-radius: 1em;

}

form div + div {
  margin-top: 1em;
}

label {
  /* Pour être sûrs que toutes les étiquettes ont même taille et sont correctement alignées */
  display: inline-block;
  width: 90px;
  text-align: right;
}

input, textarea {
  /* Pour s'assurer que tous les champs texte ont la même police.
     Par défaut, les textarea ont une police monospace */
  font: 1em sans-serif;

  /* Pour que tous les champs texte aient la même dimension */
  width: 300px;
  box-sizing: border-box;

  /* Pour harmoniser le look & feel des bordures des champs texte */
  border: 1px solid #999;
}

input:focus, textarea:focus {
  /* Pour souligner légèrement les éléments actifs */
  border-color: #000;
}

textarea {
  /* Pour aligner les champs texte multi‑ligne avec leur étiquette */
  vertical-align: top;

  /* Pour donner assez de place pour écrire du texte */
  height: 5em;
}

.button {
  /* Pour placer le bouton à la même position que les champs texte */
  padding-left: 90px; /* même taille que les étiquettes */
}

button {
  /* Cette marge supplémentaire représente grosso modo le même espace que celui
     entre les étiquettes et les champs texte */
  margin-left: .5em;
}

@media only screen and (max-width: 800px) {

    html, body {
        height: 100%;
    }

    body {
        background-color: #323131;
        margin: auto;
        padding: auto;
        color: whitesmoke;
        font-family: "Georgia", serif;
    }

    .box {
      display: grid;
      grid-template-columns: repeat(3, 1fr);
      grid-gap: 10px;
    }

    .one {
        border: 1px solid whitesmoke;
        grid-column: 3;
        grid-row: 3;
        font-family: "Georgia", serif;
        text-align: center;
        margin: 2px;
    }

    .two {
        grid-column: 1 / 3;
        grid-row: 1;
        text-align: center;
        font-size: 40px;
        text-decoration: underline;   
    }

    .three {
        border: 1px solid whitesmoke;
        grid-column: 1;
        grid-row: 2 / 5;
        font-family: "Georgia", serif;
        text-align: center;
        margin: 2px;

    }

    #banniere img {
        margin: auto;
        padding: auto;
        position: relative;
        width: 100%;
    }

    #texte1 p {
        z-index: 1;
        text-align: center;
        font-family: "Georgia", serif;
        margin: 0 auto;
        top: 40%;
        color: white;
        width: 70%;
    }

    #onglet2 {
        text-align: center; /* ou righ, selon ton goût
        */
    }

    #onglet2 a {
        margin: 0 5px;
        padding: 0 5px;
        border: solid 2px;
        color: whitesmoke;
        border: solid 2px;
    }

    #onglet {
        text-align: center; /* ou righ, selon ton goût
        */
    }

    #onglet a {
        line-height: 2em;
        margin: 0 5px; /* les séparer un peu les un des autres. */
        padding: 0 5px; /* les séparer un peu les un des autres. */  
        color: whitesmoke;
        border: solid 2px;
    }

    h1 {
        text-align: center;
        font-family: "Georgia", serif;
        font-size: 30px;
        font-style: bold;

    }

    #boite img {
        border: solid 2px #323131;
        margin: 2px;
        width: 550px; 
        height: 550px; 
        object-fit: cover;
        float: left;
    }

    #texte p {
        border: solid 2px whitesmoke;
        padding: 2px;
        margin: 10px;
        width: 550px;
        text-align: center;
        font-family: "Georgia", serif;
        font-style: bold, italic;
        font-size: 20px;
        float: left;
    }

    #boite1 img {
        border: solid 2px #323131;
        margin: 2px;
        width: 550px; 
        height: 550px; 
        object-fit: cover;
        float: right;
    }

    #texte1 p {
        border: solid 2px whitesmoke;
        padding: 2px;
        margin: 10px;
        width: 550px;
        text-align: center;
        font-family: "Georgia", serif;
        font-style: bold, italic;
        font-size: 20px;
        float: right;
    }

    #activites p {
        text-align: center;
        font-size: 20px;
        font-style: bold, italic;
    }

    .img1 {
        border: solid 2px whitesmoke;
        margin: 2px;
        width: 550px;
        height: 550px;
        object-fit: cover;
        float: left;
    }

    .img2 {
        border: solid 2px whitesmoke;
        margin: 2px;
        width: 770px;
        height: 550px;
        object-fit: cover;
        text-align: center;
    }

    .img3 {
        border: solid 2px whitesmoke;
        margin: 2px;
        width: 559px;
        height: 550px;
        object-fit: cover;
        float: right;
    }

    #contenu {
        min-height: 100%;
        position: relative;   
    }

    footer {
        background: whitesmoke;
        width: 100%;
        height: 50px;
        position: absolute;
        bottom: -100px;
        color: black;
    }

    #foo p {
        text-align: center;
        margin: 5px;
    } 

    #foo img {
        height: 40px;
        float: right;
    }

    form {
      /* Uniquement centrer le formulaire sur la page */
      margin: 50px auto;
      width: 400px;
      /* Encadré pour voir les limites du formulaire */
      padding: 1em;
      border: 1px solid #CCC;
      border-radius: 1em;

    }

    form div + div {
      margin-top: 1em;
    }

    label {
      /* Pour être sûrs que toutes les étiquettes ont même taille et sont correctement alignées */
      display: inline-block;
      width: 90px;
      text-align: right;
    }

    input, textarea {
      /* Pour s'assurer que tous les champs texte ont la même police.
         Par défaut, les textarea ont une police monospace */
      font: 1em sans-serif;

      /* Pour que tous les champs texte aient la même dimension */
      width: 300px;
      box-sizing: border-box;

      /* Pour harmoniser le look & feel des bordures des champs texte */
      border: 1px solid #999;
    }

    input:focus, textarea:focus {
      /* Pour souligner légèrement les éléments actifs */
      border-color: #000;
    }

    textarea {
      /* Pour aligner les champs texte multi‑ligne avec leur étiquette */
      vertical-align: top;

      /* Pour donner assez de place pour écrire du texte */
      height: 5em;
    }

    .button {
      /* Pour placer le bouton à la même position que les champs texte */
      padding-left: 90px; /* même taille que les étiquettes */
    }
}



